# osg::OccluderNode Class Reference

OccluderNode is a Group node which allows OccluderNodeing between children. More...

Inheritance diagram for osg::OccluderNode:

[legend]
List of all members.

## Public Member Functions

| OccluderNode ()
| OccluderNode (const OccluderNode &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_Node (osg, OccluderNode)
void | setOccluder (ConvexPlanarOccluder *occluder)
| Attach a ConvexPlanarOccluder to an OccluderNode.
ConvexPlanarOccluder * | getOccluder ()
| Get the ConvexPlanarOccluder* attached to a OccluderNode.
const ConvexPlanarOccluder * | getOccluder () const
| Get the const ConvexPlanarOccluder* attached to a OccluderNode.

## Protected Member Functions

virtual | ~OccluderNode ()
virtual bool | computeBound () const
| Overrides Group's computeBound.

## Protected Attributes

ref_ptr< ConvexPlanarOccluder > | _occluder

## Detailed Description

OccluderNode is a Group node which allows OccluderNodeing between children.

Typical uses would be for objects which might need to be rendered differently at different times, for instance a OccluderNode could be used to represent the different states of a traffic light.

## Constructor & Destructor Documentation

OccluderNode::OccluderNode | ( |  | ) |

OccluderNode::OccluderNode | ( | const OccluderNode & | ,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) |

| Copy constructor using CopyOp to manage deep vs shallow copy.

virtual osg::OccluderNode::~OccluderNode | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

bool OccluderNode::computeBound | ( |  | ) | const`[protected, virtual]`

| Overrides Group's computeBound. Reimplemented from osg::Group.

const ConvexPlanarOccluder* osg::OccluderNode::getOccluder | ( |  | ) | const`[inline]`

| Get the const ConvexPlanarOccluder* attached to a OccluderNode.

ConvexPlanarOccluder* osg::OccluderNode::getOccluder | ( |  | ) | `[inline]`

| Get the ConvexPlanarOccluder* attached to a OccluderNode.

osg::OccluderNode::META_Node | ( | osg | ,
|  | OccluderNode |
| ) |

void osg::OccluderNode::setOccluder | ( | ConvexPlanarOccluder * | occluder | ) | `[inline]`

| Attach a ConvexPlanarOccluder to an OccluderNode.

## Member Data Documentation

ref_ptr<ConvexPlanarOccluder> osg::OccluderNode::_occluder `[protected]`

The documentation for this class was generated from the following files:

- OccluderNode
- OccluderNode.cpp